﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DateTimeCategory
{
    public class ViewModel
    {
        public ObservableCollection<Model> Collection { get; set; }
        Random rd;

        public ViewModel()
        {
            Collection = new ObservableCollection<Model>();
            rd = new Random();
            double value = 1000;
            var date = new DateTime(2015, 1, 1, 22, 00, 00);
            for (int i = 0; i <= 14400; i++) //4hours*60 minutes* 60 seconds
            {
                Collection.Add(new Model() { Date = date, YValue = value });
                if (rd.NextDouble() < 0.5)
                    value += rd.NextDouble();
                else
                    value -= rd.NextDouble();
                date = date.AddSeconds(1);
            }
        }
    }
}
